org.richfaces.application.push.impl.jms

## Class JMSTopicsContextImpl

- java.lang.Object
- - org.richfaces.application.push.TopicsContext
  - - org.richfaces.application.push.impl.TopicsContextImpl
    - - org.richfaces.application.push.impl.jms.JMSTopicsContextImpl

-     public class JMSTopicsContextImpl
      extends TopicsContextImpl

  A `TopicsContext` that allows Push to listen for messages on Java Messaging Service (JMS)
  Author:
    Nick Belaevski

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Topic` | `createTopic(TopicKey key)` Creates topic for given topic key
    `void` | `destroy()`
    `static JMSTopicsContextImpl` | `getInstanceInitializedFromContext(ThreadFactory threadFactory, javax.faces.context.FacesContext facesContext)` A factory method for creating `JMSTopicsContextImpl` initialized from context

    - ### Methods inherited from class org.richfaces.application.push.impl.TopicsContextImpl

      `getPublisherService, getThreadFactory`

    - ### Methods inherited from class org.richfaces.application.push.TopicsContext

      `getOrCreateTopic, getTopic, getTopicKeyWithResolvedExpressions, lookup, publish, removeTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstanceInitializedFromContext

          public static JMSTopicsContextImpl getInstanceInitializedFromContext(ThreadFactory threadFactory,
                                                                               javax.faces.context.FacesContext facesContext)
                                                                        throws NamingException

      A factory method for creating `JMSTopicsContextImpl` initialized from context
      Throws:
        `NamingException`

    - #### createTopic

          protected Topic createTopic(TopicKey key)

      Description copied from class: `TopicsContext`
      Creates topic for given topic key
      Overrides:
        `createTopic` in class `TopicsContextImpl`

    - #### destroy

          public void destroy()

      Overrides:
        `destroy` in class `TopicsContextImpl`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.